struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ken McWilliams <ken.mcwilli...@gmail.com>
Subject Re: Update request to web site regarding Log4j and "Getting Started" section
Date Mon, 12 Jun 2017 18:28:15 GMT
Sorry...

The following "Getting started" page "How To Create A Struts 2 Web
Application:
http://struts.apache.org/getting-started/how-to-create-a-struts2-web-application.html

Tells you to add:

<dependency>
    <groupId>org.apache.logging.log4j</groupId>
    <artifactId>log4j-core</artifactId>
    <version>2.8.2</version></dependency>


When it should be both log4j-core and log4j-api:


        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-core</artifactId>
            <version>2.8.2</version>
        </dependency>
        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-api</artifactId>
            <version>2.8.2</version>
        </dependency>

Because struts has a dependency to an earlier version of log4j... if both
are explicitly specified even with x.x.x versions, most users would use the
latest and keep them in sync. It isn't fun to experience _any_ errors when
doing a starting tutorial.





On Mon, Jun 12, 2017 at 12:22 PM, Ken McWilliams <ken.mcwilliams@gmail.com>
wrote:

> The following "Getting started" page:
>
>


-- 
Sent from my C64 using a 300 baud modem

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message